<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>KSP_NATURAL_NORM</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="KSP_NATURAL_NORM"><H1>KSP_NATURAL_NORM</H1></A>
Compute the 'natural norm' of residual sqrt((b - A*x)*B*(b - A*x)) and pass that to the  convergence test routine. 
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../KSP/KSPNormType.html#KSPNormType">KSPNormType</A>, <A HREF="../KSP/KSPSetNormType.html#KSPSetNormType">KSPSetNormType</A>(), <A HREF="../KSP/KSP_NO_NORM.html#KSP_NO_NORM">KSP_NO_NORM</A>, <A HREF="../KSP/KSP_PRECONDITIONED_NORM.html#KSP_PRECONDITIONED_NORM">KSP_PRECONDITIONED_NORM</A>, <A HREF="../KSP/KSP_UNPRECONDITIONED_NORM.html#KSP_UNPRECONDITIONED_NORM">KSP_UNPRECONDITIONED_NORM</A>, <A HREF="../KSP/KSPSetConvergenceTest.html#KSPSetConvergenceTest">KSPSetConvergenceTest</A>()
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>advanced
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/ksp/ksp/../../../include/petscksp.h.html#KSP_NATURAL_NORM">src/ksp/ksp/../../../include/petscksp.h</A>
<BR><A HREF="./index.html">Index of all KSP routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
